> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/tr/api-dokumanlari/geopard-api-isteklerine-genel-bakis/55.-zip-dosyalari-yukle-6-mb-uzeri.md).

# 55. Zip dosyaları yükle (6 MB üzeri)

AWS bulut sağlayıcısının teknik bir sınırlaması olarak, 6 MB'tan büyük dosyaların yüklemesi 2 adımda yapılmalıdır:

#### **1. Doğrudan sonraki yükleme için ön-imzalı bağlantıyı talep edin.**  <a href="#step1" id="step1"></a>

Girdi olarak:&#x20;

* `dosyaTürü` - `verim` VEYA `toprak` VEYA `planlanan Azot (N34)'un verim dağılımı üzerindeki etkisi sonraki ekran görüntülerinde görsel olarak yakalanmıştır` VEYA `uygulandı` VEYA `sınır`,&#x20;
* `farmUuid` (isteğe bağlı) - dosyanın içe aktarılacağı çiftliğin uuid'si.&#x20;

Çıktı olarak:

* `uuid` - yükleme ve işleme sonrası beklenen uuid,
* `farmUuid` - girdidekinin aynısı,
* `dosyaTürü` - girdidekinin aynısı,
* `s3Url` - dosyayı yüklemek için kullanılan URL,
* `s3Alanlar` - yükleme dosya formuna geçirilmesi gereken öznitelikler.

Nasıl kullanılacağına dair ayrıntılar `s3Url` ve `s3Alanlar` ikinci adımda açıklanmıştır.&#x20;

Öznitelikler sadece dosyayı yüklemek için 60 dakika boyunca geçerlidir.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation GeneratePresignedPostFileData {
  generatePresignedPostFileData(girdi:{
    dosyaTürü: uygulandı
    farmUuid: "8bba5132-3a92-4ce1-8699-220e78ad68bd"
  } ) {
    uuid
    farmUuid
    dosyaTürü
    s3Url
    s3Alanlar
  }
}

```

{% endcode %}

#### **2. Yerel bir dosyayı s3Url adresine s3Alanlar'dan gelen ön tanımlı form öznitelikleriyle gönderin.**  <a href="#step2" id="step2"></a>

{% code overflow="wrap" lineNumbers="true" %}

```bash
curl --location --request POST '<s3Url>' \
--form 'key="<s3Alanlar_icerisindeki_deger>"' \
--form 'AWSAccessKeyId="<s3Alanlar_icerisindeki_deger>"' \
--form 'x-amz-security-token="<s3Alanlar_icerisindeki_deger>"' \
--form 'policy="<s3Alanlar_icerisindeki_deger>"' \
--form 'signature="<s3Alanlar_icerisindeki_deger>"' \
--form 'file=@"<yerel_dosya_yolu>"'
```

{% endcode %}

İşleme ile ilgili bildirimler, aşağıda açıklanan abonelik mekanizması aracılığıyla iletilecektir:\
&#x20;[1. Abonelik: Olayları al](/geopard-tutorials/tr/api-dokumanlari/geopard-api-isteklerine-genel-bakis/1.-abonelik-olaylari-al.md).

{% hint style="info" %}
Yanıt başlığı bir `Etag` başlığı içerir; örneğin şu şekilde görünür `Etag: "6fd3e76992738357ab50039f2c60024e"`. Bu değer daha sonra GraphQL'de [sorgusu getPlatformContext](/geopard-tutorials/tr/api-dokumanlari/geopard-api-isteklerine-genel-bakis/83.-sorgu-platform-baglamini-topla.md) işleme ilerlemesini izlemek ve "Field" (Arazi), "AsAppliedDataset" (Uygulanan VeriSeti), "YieldDataset" (Verim VeriSeti) ve "SoilDataset" (Toprak VeriSeti) varlıklarıyla ilişkilendirmeyi takip etmek için kullanılır.
{% endhint %}

{% hint style="info" %}
Kullan `‘Accept-Encoding’:’gzip, deflate, br’`.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/tr/api-dokumanlari/geopard-api-isteklerine-genel-bakis/55.-zip-dosyalari-yukle-6-mb-uzeri.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
